Subject: Re: [PATCH 1/2] net: Allow to create links with given ifindex

From: Pavel Emelyanov <[email-masked]>
Date: Tue, 31 Jul 2012 13:06:37 +0400

> I'm not seeing anything obvious in the network stack with a quick skim,
> but before we start relying on the property that interface indicies are
> not globally unique I expect an good hard look at the networking stack
> to see if any of those cases where there were problems still exist.

Just an idea -- is it worth moving the possibility to have ifindidces intersect
under CONFIG_<SOMETHING> (EXPERT/CHECKPOINT_RESTORE) to let wider audience check
the code in real-life?

> Eric
> .

Thanks,
Pavel